### Method

# Adw Animation get_widget

#### Declaration [src]

    GtkWidget*
    adw_animation_get_widget (
      AdwAnimation* self
    )

#### Description [src]

Gets the widget `self` was created for.

It provides the frame clock for the animation. It’s not strictly necessary for this widget to be same as the one being animated.

The widget must be mapped in order for the animation to work. If it’s not mapped, or if it gets unmapped during an ongoing animation, the animation will be automatically skipped.

Gets property | `Adw.Animation:widget`

#### Return value

Type: `GtkWidget`

The animation widget.

The data is owned by the instance.